:host {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;

  &.ng-animating {
    position: absolute;
    top: 0;
  }
}

nav {
  li {
    position: relative;
  }
  a {
    margin-bottom: var(--spacing-medium);
    width: 260px;

    @media screen and (min-width: 400px) {
      width: 280px;
    }
  }

  ul li:last-of-type a {
    margin-bottom: 0;
  }
}

.top-item > svg {
  width: 112px;
  height: auto;
  margin: var(--spacing-big);
  margin-top: var(--spacing);
}

#bat {
  transform: scale(1.5);
}

.deco-item {
  position: absolute;

  > img {
    width: inherit;
    height: auto;
  }

  &.item-1 {
    top: 23%;
    left: 3%;
    width: 68px;
  }
  &.item-2 {
    top: 67%;
    right: 5%;
    width: 68px;
  }
  &.item-3 {
    top: 21%;
    right: 3%;
    width: 68px;
  }
  &.item-4 {
    top: 84%;
    left: 5%;
    width: 68px;
  }

  &.sweet {
    &.item-1 {
      img {
        transform: rotate(10deg);
      }
    }
    &.item-2 {
      img {
        transform: rotate(-10deg);
      }
    }
  }
  &.gothic {
    &.item-2 {
      width: 80px;
    }
    &.item-3 {
      right: 4%;
      width: 74px;
    }
    &.item-4 {
      width: 87px;
    }
  }
  &.classic {
    &.item-4 {
      top: 78%;
    }
  }
}

#brand-logo {
  width: 142px;
  height: auto;
  display: block;
  margin: var(--spacing-big);
}

#brand-title {
  position: absolute;
  bottom: -14px;
  width: 195px;
  height: auto;
}

.fb-link {
  position: absolute !important;
  bottom: var(--spacing);
  right: var(--spacing);
  font-size: var(--primary-font-size-extra-small) !important;

  img {
    display: inline-block;
    width: 24px;
    height: 24px;
  }

  .label {
    display: none;
  }

  @media screen and (min-width: 768px) {
    img {
      margin-left: var(--spacing-small);
    }
    .label {
      display: unset;
    }
  }
}
